> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get player settings

> Get the player settings for your project



## OpenAPI

````yaml get /projects/{project_id}/player_settings
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/player_settings:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    get:
      tags:
        - Player settings
      summary: Show
      description: Get the player settings for your project
      operationId: player_settings#show
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/playerSettingsExample'
              schema:
                $ref: '#/components/schemas/playerSettingsModel'
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
      security:
        - apiKey: []
components:
  examples:
    playerSettingsExample:
      summary: A sample player settings response
      value:
        player_version: '1'
        player_style: standard
        player_Title: My Project
        call_to_action: Listen to this article
        image_url: https://example.com/image.jpeg
        theme: auto
        dark_theme:
          text_color: '#323232'
          background_color: '#FAFAFA'
          icon_color: '#323232'
          highlight_color: '#A4FF0044'
          word_highlight_color: '#A4FF00'
        light_theme:
          text_color: '#323232'
          background_color: '#FAFAFA'
          icon_color: '#323232'
          highlight_color: '#A4FF0044'
          word_highlight_color: '#A4FF00'
        video_theme:
          text_color: '#323232'
          background_color: '#FAFAFA'
          icon_color: '#323232'
        title_enabled: false
        image_enabled: false
        persistent_ad_image: false
        widget_style: standard
        widget_position: auto
        segment_playback_enabled: true
        segment_highlights_enabled: true
        skip_button_style: seconds-15-30
        intro_url: https://example.com/intro.mp3
        outro_url: https://example.com/outro.mp3
        intro_outro_enabled: false
        download_button_enabled: false
        logo_icon_enabled: true
        analytics_enabled: false
        analytics_uuid_enabled: true
        analytics_url: https://metrics.beyondwords.io
        analytics_custom_url: https://custom_metrics.beyondwords.io
        analytics_id: 123
        analytics_tag_enabled: true
        analytics_tag: UA-123
        continuous_playback_mode: none
        outro_playback_mode: after-all
        updated: 2023-01-01 00:00:00 UTC
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  schemas:
    playerSettingsModel:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether the player distribution is on or off
        player_version:
          type: string
          enum:
            - '0'
            - '1'
          description: >-
            The player version to use. Possible values are `0` for legacy and
            `1` for the current
        player_style:
          type: string
          enum:
            - small
            - standard
            - large
            - video
          description: >-
            The style of user interface to show for the player. Possible values
            are `small`, `standard`, `large`, or `video`
        player_title:
          type: string
          description: The title to show in the `large` player when there isn't a playlist
          nullable: true
        call_to_action:
          type: string
          description: The text prompt to show on the player
        image_url:
          type: string
          description: An image to show in the player instead of the content's image
          nullable: true
        theme:
          type: string
          enum:
            - auto
            - dark
            - light
          description: >-
            The color theme to use for the player. Possible values are `auto`,
            `dark`, or `light` The 'auto' theme is based on the user's
            light/dark mode system preference.
        dark_theme:
          type: object
          description: The dark theme colors
          properties:
            text_color:
              type: string
              description: The hexadecimal text color to use in the player
            background_color:
              type: string
              description: The hexadecimal background color to use in the player
            icon_color:
              type: string
              description: The hexadecimal icon color to use in the player
            highlight_color:
              type: string
              description: The hexadecimal highlight color to use in the player
            word_highlight_color:
              type: string
              description: The hexadecimal word highlight color to use in the player
        light_theme:
          type: object
          description: The light theme colors
          properties:
            text_color:
              type: string
              description: The hexadecimal text color to use in the player
            background_color:
              type: string
              description: The hexadecimal background color to use in the player
            icon_color:
              type: string
              description: The hexadecimal icon color to use in the player
            highlight_color:
              type: string
              description: The hexadecimal highlight color to use in the player
            word_highlight_color:
              type: string
              description: The hexadecimal word highlight color to use in the player
        video_theme:
          type: object
          description: The video theme colors
          properties:
            text_color:
              type: string
              description: The hexadecimal text color to use in the player
            background_color:
              type: string
              description: The hexadecimal background color to use in the player
            icon_color:
              type: string
              description: The hexadecimal icon color to use in the player
        title_enabled:
          type: boolean
          description: >-
            Whether to always show the content's title (e.g. instead of the
            call_to_action)
        image_enabled:
          type: boolean
          description: Whether to show or hide the image in the player
          deprecated: true
        persistent_ad_image:
          type: boolean
          description: >-
            Whether to show clickable ad images in the player when the ad isn't
            playing
        widget_style:
          type: string
          enum:
            - none
            - small
            - standard
            - large
            - video
          description: >-
            The style of user interface to show for the widget at the bottom of
            the screen. Possible values are `none`, `small`, `standard`,
            `large`, `video` The widget appears once you scroll past the player
            in the page.
        widget_position:
          type: string
          enum:
            - auto
            - left
            - center
            - right
          description: >-
            The side of the screen on which to show the widget. Possible values
            are `auto`, `left`, `center`, `right` The 'auto' position places the
            standard player in the center, otherwise to the right.
        segment_playback_enabled:
          type: boolean
          description: >-
            Whether to allow playback by clicking on a segment (i.e. a
            paragraph) on the page
        segment_highlights_enabled:
          type: boolean
          description: Whether segments should be highlighted in time with content playback
        skip_button_style:
          type: string
          description: >-
            The style of skip buttons to show in the player. Possible values are
            `segments` or `seconds` You can specify the number of seconds to
            skip, e.g. `seconds-15` or `seconds-15-30`
        intros_outros:
          type: array
          description: The URLs of intros and outros audio files
          items:
            type: object
            properties:
              placement:
                type: string
              audio:
                type: array
                items:
                  type: object
                  properties:
                    url:
                      type: string
              video:
                type: array
                items:
                  type: object
                  properties:
                    url:
                      type: string
        intro_url:
          type: string
          nullable: true
          description: >-
            The URL of an intro audio file to play before all content in the
            player
        outro_url:
          type: string
          nullable: true
          description: >-
            The URL of an outro audio file to play after all content in the
            player
        intro_outro_enabled:
          type: boolean
          description: >-
            Whether or not the intro and outro should be played. The default is
            `false`
          deprecated: true
        download_button_enabled:
          type: boolean
          description: >-
            Whether to show a download button next to each playlist item in the
            player.
        logo_icon_enabled:
          type: boolean
          description: Whether to show the BeyondWords logo in the player.
        analytics_enabled:
          type: boolean
          description: Analytics enabled.
        analytics_uuid_enabled:
          type: boolean
          description: Analytics uuid enabled.
        analytics_url:
          type: string
          description: Analytics server URL
        analytics_custom_url:
          type: string
          description: Custom analytics server URL
          nullable: true
        analytics_id:
          type: integer
          description: Analytics ID
        analytics_tag_enabled:
          type: boolean
          description: Analytics tag enabled
        analytics_tag:
          type: string
          description: Google Analytics tag
          nullable: true
        updated:
          type: string
          description: Time at which the object was updated (ISO 8601)
        word_highlights_enabled:
          type: boolean
        continuous_playback_mode:
          type: string
          enum:
            - none
            - recent
          description: The continuous playback mode. Possible values are `none` or `recent`
        outro_playback_mode:
          type: string
          enum:
            - after-all
            - after-each
          description: >-
            The outro playback mode. Possible values are `after-all` or
            `after-each`
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````